Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2743 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoLoop

 Odpovědět Odpovědět archiv
Autor
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 804
Přímý odkaz na tuto zprávu Téma: Loop
    Zasláno: 04.říj.2012 v 10:36
Lze nastavit pomocí iLogicu měření smyčky (kontrola) v daném náčrtu?
Vojtěch Visingr
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio s.r.o.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1247
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 12:54
Na to je v Inventoru metoda. Následující příklad změří délku smyčky prvního náčrtu, která jako první obsahuje alespoň jednu úsečku.
---
Dim se As SketchEntity = ThisDoc.Document.ComponentDefinition.Sketches(1).SketchLines(1)

MsgBox( ThisApplication.MeasureTools.GetLoopLength(se) & " cm")
---
Zpět nahoru
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 804
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 14:51
děkuji a lze to i pro 3D náčrt?
Vojtěch Visingr
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio s.r.o.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1247
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 14:52
Mělo by, ale nezkoušel jsem to.
Zpět nahoru
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 804
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 15:03
tímto to bohužel nejde právě. Zkoušel jsem změnit na Lines na Lines3D ale bohužel.
Vojtěch Visingr
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio s.r.o.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1247
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 15:16
Funguje s drobnou úpravou
---
Dim se As SketchEntity3D = ThisDoc.Document.ComponentDefinition.Sketches3D(1).SketchLines3D(1)

MsgBox( ThisApplication.MeasureTools.GetLoopLength(se) & " cm")
---
Zpět nahoru
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 804
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 16:20
Aha, zapomněl jsem SketchEntity3D

jak změnit jednotky na mm? 
Vojtěch Visingr
Zpět nahoru
Boleslav Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 06.led.2009
Lokalita: ČR (Pha)
Používám:
dříve Solidworks, teď Inventor
Stav: Offline
Bodů: 264
Přímý odkaz na tuto zprávu Zasláno: 04.říj.2012 v 18:32
Zkuste: *10
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 5890:Jak v LISP funkci zobrazit "teploměr" (progressbar) informující o jejím průběhu?
Tip 1482:Hrubé zobrazení oblých těles v Inventoru.
Tip 11915:Generátor bludiště v AutoCADu.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,250 sekund.